---
name: t.upgrade.py
description: Upgrades the version of the temporal database.
keywords: [ temporal, metadata, time ]
---

# t.upgrade.py

Upgrades the version of the temporal database.

=== "Command line"

    **t.upgrade.py**
    [**--verbose**]
    [**--quiet**]
    [**--qq**]
    [**--ui**]

    Example:

    ```sh
    t.upgrade.py
    ```

=== "Python (grass.script)"

    *grass.script.run_command*("***t.upgrade.py***",
        **verbose**=*False*,
        **quiet**=*False*,
        **superquiet**=*False*)

    Example:

    ```python
    gs.run_command("t.upgrade.py")
    ```

## Parameters

=== "Command line"

    **--help**  
    &nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
    **--verbose**  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    **--quiet**  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    **--qq**  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    **--ui**  
    &nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

=== "Python (grass.script)"

    **verbose**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **quiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **superquiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*

## DESCRIPTION

The *t.upgrade* module upgrades the temporal database in the current
mapset from version 2 (default in GRASS 7) to 3 (default in GRASS 8).
The version 3 introduces a semantic label support, see
*[i.band.library](i.band.library.md)* for details.

## EXAMPLE

```sh
t.upgrade
```

## SEE ALSO

*[t.info](t.info.md)*

## AUTHORS

Martin Landa and Markus Neteler

## SOURCE CODE

Available at: [t.upgrade source code](https://github.com/OSGeo/grass/tree/main/temporal/t.upgrade)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.upgrade))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
